HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Installation/Configuration (http://www.howtoforge.com/forums/forumdisplay.php?f=16)
-   -   Apache instal woes (http://www.howtoforge.com/forums/showthread.php?t=723)

acilis2k 30th September 2005 21:55

Apache instal woes
 
ok, so im trying to set up ispconfig 3.0.9 on fedora core 3 and every time it gets to compiling apache i get thsi error:
A test compilation with your Makefile configuration
** failed. The below error output from the compilation
** test will give you an idea what is failing. Note that
** Apache requires an ANSI C Compiler, such as gcc.

======== Error Output for sanity check ========
cd ..; gcc -DLINUX=22 -DMOD_SSL=208123 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I./lib/expat-lite `./apaci` -L/root/ispconfig/openssl/lib -o helpers/dummy helpers/dummy.c -lm -lssl -lcrypto
============= End of Error Report =============

Aborting!
./configure:Error: APACI failed
ERROR: Could not configure Apache
i also have tried 2.0.9 and have gotten the same error. Any ideas?

zarkann 30th September 2005 22:24

Quote:

Originally Posted by acilis2k
i also have tried 2.0.9 and have gotten the same error. Any ideas?

and standalone , your apache is working ?

everytime you want to reinstall ISPConfig you have to rm -rf 3 directories

/root/ispconfig
/home/admispconfig
exit the directory install_ispconfig and rm -rf this one too.

and do the installation again.

falko 1st October 2005 01:33

Quote:

Originally Posted by acilis2k
ok, so im trying to set up ispconfig 3.0.9 on fedora core 3 and every time it gets to compiling apache i get thsi error:
A test compilation with your Makefile configuration
** failed. The below error output from the compilation
** test will give you an idea what is failing. Note that
** Apache requires an ANSI C Compiler, such as gcc.

======== Error Output for sanity check ========
cd ..; gcc -DLINUX=22 -DMOD_SSL=208123 -DUSE_HSREGEX -DEAPI -DUSE_EXPAT -I./lib/expat-lite `./apaci` -L/root/ispconfig/openssl/lib -o helpers/dummy helpers/dummy.c -lm -lssl -lcrypto
============= End of Error Report =============

Aborting!
./configure:Error: APACI failed
ERROR: Could not configure Apache
i also have tried 2.0.9 and have gotten the same error. Any ideas?

You tried ISPConfig 3.0.9 and 2.0.9? :D There's no 3.0.9!
Do you have gcc installed?

acilis2k 1st October 2005 07:16

yea i got gcc...and 3.0.9 is the beta

domino 1st October 2005 08:03

@acilis2k, Please tell us what your gcc version?

falko 1st October 2005 11:59

Quote:

Originally Posted by acilis2k
yea i got gcc...and 3.0.9 is the beta

There's no ISPConfig 3.0.9 beta, blieve me. I'm one of the ISPConfig developers, I should know. :D

domino 1st October 2005 12:07

:D. acilis2k, Please provide the link to 3.09 Beta? It would be interesting to see who coded it.

falko 1st October 2005 14:30

Can you tell us exactly what steps you made to install ISPConfig, and on which step the error occurred?

acilis2k 3rd October 2005 22:12

I used this guide: http://www.howtoforge.com/perfect_setup_fedora_core_3 ... and yea its stops while trying to make apache after making openssl

celavie 17th November 2005 10:51

I get the same error message with Debian 3.1 and ISPConfig 2.1.0
Did you find what is the problem?


All times are GMT +2. The time now is 18:20.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.